---
id: thebrothers
name: The Brothers
description: "The Brothers is a Private GERMAN tracker for MOVIES / TV / GENERAL"
language: de-DE
type: private
encoding: UTF-8
links:
  - https://the-brothers.bounceme.net/

caps:
  categorymappings:
    # Klassiker
    - {id: 157, cat: Movies, desc: "Klassiker All In"}
    # Anime
    - {id: 189, cat: TV/Anime, desc: "Anime Serie"}
    - {id: 193, cat: TV/Anime, desc: "Anime Pack"}
    - {id: 183, cat: TV/Anime, desc: "Anime HD"}
    - {id: 184, cat: TV/Anime, desc: "Anime SD"}
    - {id: 186, cat: TV/Anime, desc: "Anime 4K"}
    # Kids
    - {id: 146, cat: Movies, desc: "Kids Alles"}
    # Movie
    - {id: 114, cat: Movies/DVD, desc: "Movie DVD"}
    - {id: 122, cat: Movies/UHD, desc: "Movie 4K"}
    - {id: 124, cat: Movies, desc: "Movie Pack"}
    - {id: 196, cat: Movies/UHD, desc: "Movie UHD"}
    - {id: 28, cat: Movies/SD, desc: "Movie SD"}
    - {id: 32, cat: Movies/HD, desc: "Movie HD"}
    - {id: 26, cat: Movies/3D, desc: "Movie 3D"}
    # Serien
    - {id: 56, cat: TV/SD, desc: "Serien DVD"}
    - {id: 57, cat: TV/HD, desc: "Serien HD"}
    - {id: 59, cat: TV, desc: "Serien Pack"}
    - {id: 60, cat: TV/SD, desc: "Serien SD"}
    # Software
    - {id: 9, cat: PC, desc: "App Linux"}
    - {id: 10, cat: PC/Mac, desc: "App Mac"}
    - {id: 11, cat: PC/Mobile-Other, desc: "App Other"}
    - {id: 12, cat: PC/0day, desc: "App Win"}
    # Game
    - {id: 120, cat: Console/PS3, desc: "Game PlayStation"}
    - {id: 16, cat: Console, desc: "Game Wimmelbild"}
    - {id: 17, cat: PC/Games, desc: "Game PC"}
    - {id: 20, cat: Console/PSP, desc: "Game PSP"}
    - {id: 22, cat: Console/Wii, desc: "Game Wii"}
    - {id: 24, cat: Console/XBox, desc: "Game XBOX"}
    # Music
    - {id: 48, cat: Audio, desc: "Music Album"}
    - {id: 49, cat: Audio, desc: "Music Charts"}
    - {id: 52, cat: Audio, desc: "Music Pack"}
    - {id: 54, cat: Audio, desc: "Music Single"}
    - {id: 55, cat: Audio/Video, desc: "Music Video"}
    - {id: 125, cat: Audio, desc: "Music Mixe"}
    - {id: 126, cat: Audio, desc: "Music Audio"}
    - {id: 148, cat: Audio, desc: "Music Discography"}
    # Sport
    - {id: 61, cat: TV/Sport, desc: "Sport Other"}
    - {id: 130, cat: TV/Sport, desc: "Sport WWE"}
    # Sonstiges
    - {id: 144, cat: TV/Documentary, desc: "Sonstiges Doku"}
    - {id: 131, cat: Books/Mags, desc: "Sonstiges Zeitungen"}
    - {id: 63, cat: Audio/Audiobook, desc: "Sonstiges A-Book"}
    - {id: 96, cat: Books/EBook, desc: "Sonstiges E-Book"}
    - {id: 69, cat: Books, desc: "Sonstiges Tutorial"}
    - {id: 71, cat: Books/Other, desc: "Sonstiges Other"}
    # Internt'l
    - {id: 98, cat: Movies/HD, desc: "Internt'l Movie HD"}
    - {id: 99, cat: TV/HD, desc: "Internt'l Serie HD"}
    - {id: 102, cat: TV/SD, desc: "Internt'l Serie SD"}
    - {id: 103, cat: Movies/SD, desc: "Internt'l Movie SD"}
    - {id: 104, cat: Other, desc: "Internt'l Misc"}
    - {id: 105, cat: TV/Documentary, desc: "Internt'l Doku"}
    - {id: 106, cat: Books/EBook, desc: "Internt'l E-Book"}
    - {id: 107, cat: Audio/Audiobook, desc: "Internt'l A-Book"}
    - {id: 115, cat: Movies/DVD, desc: "Internt'l DVD"}
    # XXX
    - {id: 73, cat: XXX/x264, desc: "XXX HD"}
    - {id: 75, cat: XXX/Pack, desc: "XXX Pack"}
    - {id: 76, cat: XXX/SD, desc: "XXX SD"}
    - {id: 113, cat: XXX/DVD, desc: "XXX DVD"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: pin
    type: text
    label: Pin
  - name: sort
    type: select
    label: Sort requested from site
    default: added
    options:
      added: created
      seeds: seeders
      size: size
      name: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Anzahl der Torrents beim Durchsuchen</b> <i>Torrents per page:</i> setting to <b>60</b> on your account profile. The default is <i>15</i>.

login:
  path: login.php
  method: form
  form: form[action="/login.php"]
  cookies: ["JAVA=OK"] # avoid jscheck redirect
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    pin: "{{ .Config.pin }}"
  error:
    - selector: div#login_error
  test:
    path: index.php
    selector: a[href="logout.php"]

download:
  selectors:
    - selector: a[href^="download_ssl.php?torrent="]
      attribute: href

search:
  paths:
    - path: selection.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    # 0 name, 1 descr, 2 both
    blah: 0
    orderby: "{{ .Config.sort }}"
    sort: "{{ .Config.type }}"

  rows:
    selector: div.selection_wrap
  fields:
    category_p1:
      selector: div.kat_cat_pic_name
    category_p2:
      selector: div.kat_cat_pic_name_b
    categorydesc:
      text: "{{ .Result.category_p1 }} {{ .Result.category_p2 }}"
    title:
      selector: a.selection_a
      filters:
        - name: re_replace
          args: ["^\\[[\\w ]*\\]\\s?", ""]
    details:
      selector: a.selection_a
      attribute: href
    download:
      selector: a.selection_a
      attribute: href
    poster:
      selector: div[id^="details"] img
      attribute: src
    size:
      selector: div.selection_unter_ad
    grabs:
      selector: div.selection_unter_ae
    date_day:
      # Heute 13:30:04
      # Gestern 09:10:10
      selector: div.selection_unter_ab:not(:contains("."))
      optional: true
      filters:
        - name: replace
          args: ["Heute", "Today"]
        - name: replace
          args: ["Gestern", "Yesterday"]
        - name: append
          args: " +01:00" # CET
    date_year:
      # 30.02.2018 um 23:12:50
      selector: div.selection_unter_ab:contains(".")
      optional: true
      filters:
        - name: replace
          args: [" um", ""]
        - name: append
          args: " +01:00" # CET
        - name: dateparse
          args: "dd.MM.yyyy HH:mm:ss zzz"
    date:
      text: "{{ if or .Result.date_year .Result.date_day }}{{ or .Result.date_year .Result.date_day }}{{ else }}now{{ end }}"
    seeders:
      selector: div.selection_unter_aa
    leechers:
      selector: div.selection_unter_aaa
    downloadvolumefactor:
      case:
        ":root:has(div.onlyup)": 0 # GLobal Freeleech event
        "*": 1
    uploadvolumefactor:
      text: 1
# global MR is 0.7 but torrents must be seeded for 2 days regardless of ratio
#    minimumratio:
#      text: 0.7
    minimumseedtime:
      # 2 days (as seconds = 2 x 24 x 60 x 60)
      text: 172800
# 3xT
